Bug 434121 - lash failed massrebuild attempt for GCC 4.3
lash failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lash (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:07 EST by Jesse Keating
Modified: 2013-01-09 21:56 EST (History)
1 user (show)

See Also:
Fixed In Version: lash-0.5.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 08:29:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:07:36 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=439283
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-25 07:41:14 EST
Errors in x86_64 build.log:

../lash/xmalloc.h: In function 'lash_strdup':
../lash/xmalloc.h:51: warning: implicit declaration of function 'strdup'
../lash/xmalloc.h:51: warning: incompatible implicit declaration of built-in
function 'strdup'
socket.c: In function 'lash_lookup_peer_name':
socket.c:266: error: 'NI_MAXHOST' undeclared (first use in this function)
socket.c:266: error: (Each undeclared identifier is reported only once
socket.c:266: error: for each function it appears in.)
socket.c:266: warning: unused variable 'host'
socket.c: In function 'lash_lookup_peer_port':
socket.c:279: error: 'NI_MAXSERV' undeclared (first use in this function)
socket.c:279: warning: unused variable 'port'
Comment 2 Anthony Green 2008-02-28 08:29:33 EST
Fixed

Note You need to log in before you can comment on or make changes to this bug.